import request from '@/utils/request'
const Url = "https://public.coldbaozhida.com"
/**
 * @param parameter
 * @returns {*}
 */
// 登录
export function login(parameter) {
  return request({
    url: '/api/login',
    method: 'post',
    data: parameter
  })
}

// 获取个人信息
export function userProfile(parameter) {
  return request({
    url: '/api/user/profile',
    method: 'get',
    params: parameter
  })
}

// 刷新token
export function refreshToken(parameter) {
  return request({
    url: '/api/refresh_token',
    method: 'get',
    params: parameter
  })
}

// 上传
export function getFileToken(parameter) {
  return request({
    url: '/api/upload',
    method: 'post',
    data: parameter,
    timeout: 100000, // 请求超时时间
    headers: {
      'Content-Type': 'multipart-formData'
    },
  })
}

// 码上放心获取药品信息
export function aliMsfx(parameter) {
  return request({
    url: '/Ali_msfx/codedetail',
    method: 'get',
    params: parameter,
    baseURL: process.env.NODE_ENV === 'production' ? Url : '/APP',
  })
}
